Re: fluka and gfortran

From: saull@irs.phy.nrc.ca
Date: Sat Dec 29 2007 - 00:15:45 CET

  • Next message: Alberto Fasso': "Re: fluka and gfortran"

    Hi Alberto,

    Thanks for your replies.

    It can wait. We have older systems here with the same architecture but which
    have not yet been upgraded to Suse 10.3 (and so g77 is available) - I can
    compile and link on those and copy the executables over. This isn't very
    elegant, however, and a more permanent solution would be welcome.

    I see another user has responded with a similar solution to yours, i.e.
    installing the compat package with yum. Perhaps this really won't give me as
    many headaches as I expect, but I'd like to hear from your Suse 10.3 users to
    be sure before proceeding.

    Thanks for the link. I'd seen similar ones. This is precisely the sort
    of thing
    I am hoping to avoid having to worry about, however. Now, if I were just able
    to compile the libraries myself with gfortran, this wouldn't be an issue. ;)

    Cheers,
    Pat

    Quoting Alberto Fasso' <fasso@slac.stanford.edu>:

    > I am not familiar with Suse: maybe somebody else can suggest you
    > a solution, but you will have to wait after the end of these holidays
    > (I suspect that there are only you and me on the line at this moment...)
    > Anyway, I have done a little search with Google and I have found
    > this:
    > http://forums.suselinuxsupport.de/index.php?showtopic=36856
    > Maybe it can be of some help?
    >
    > Alberto
    >
    >
    >
    > On Fri, 28 Dec 2007, saull@irs.phy.nrc.ca wrote:
    >
    >> Hi Alberto,
    >>
    >> Suse 10.3 comes with gcc 4.1 and gcc 4.2 compilers, so I suspect I
    >> will run into
    >> all sorts of trouble with compiler versions trying to use this compatibility
    >> patch for gcc 3.2. Further supporting my fears is the fact that suse 10.2
    >> provided the compat-g77 package as part of the distribution, whereas this is
    >> not the case for suse 10.3. I'll try looking for an appropriate compat-*-g77
    >> package to install, but before I try it can you or someone else confirm that
    >> this approach has in fact worked with suse 10.3? Thanks.
    >>
    >> Cheers,
    >> Pat
    >>
    >> Quoting Alberto Fasso' <fasso@slac.stanford.edu>:
    >>
    >>> Dear Pat,
    >>>
    >>> my colleagues probably can inform you better about plans to use
    >>> FLUKA with gfortran (or more probably with g95, which can be easily
    >>> downloaded from the web). For the time being, try this:
    >>>
    >>> Log in as root
    >>> Open up a terminal
    >>> Type in: yum install compat-gcc-32-g77
    >>> When asked, answer Y for yes
    >>>
    >>> You should be done now
    >>> To run the g77 compiler, type in: g77 fortranfile.f
    >>>
    >>> Best regards,
    >>>
    >>> Alberto
    >>>
    >>>
    >>> On Thu, 27 Dec 2007, saull@irs.phy.nrc.ca wrote:
    >>>
    >>>>
    >>>> Hi,
    >>>>
    >>>> I've recently upgraded to Suse 10.3 which no longer supports g77.
    >>>> As a result, I can no longer link fluka. Is there a plan in the
    >>>> very near future to make fluka available with libraries compiled
    >>>> using gfortran? If not, could you make the source code available?
    >>>> Thanks.
    >>>>
    >>>> Cheers,
    >>>> Pat
    >>>>
    >>>>
    >>>
    >>> -- Alberto Fasso`
    >>> SLAC-RP, MS 48, 2575 Sand Hill Road, Menlo Park CA 94025
    >>> Phone: (1 650) 926 4762 Fax: (1 650) 926 3569
    >>> fasso@slac.stanford.edu
    >>>
    >>
    >>
    >>
    >>
    >>
    >
    > -- Alberto FassÚ
    > SLAC-RP, MS 48, 2575 Sand Hill Road, Menlo Park CA 94025
    > Phone: (1 650) 926 4762 Fax: (1 650) 926 3569
    > fasso@slac.stanford.edu


  • Next message: Alberto Fasso': "Re: fluka and gfortran"

    This archive was generated by hypermail 2.1.6 : Sat Dec 29 2007 - 20:05:47 CET